<h1>KickAss ShaderZ for Fusion</h1>
<p>v1.1 2021-05-04</p>

<h2>Overview</h2>

<p>&quot;KickAss ShaderZ&quot; is a community supported repository of material shaders for the Fusion community by the Fusion community. Curated by Andromeda_Girl and developed for Reactor by Andrew Hazelden.</p>

<p>WSL members can submit shaders to be added and watch the library grow.</p>

<h3>For More Information</h3>

<p>If you'd like to explore how the KickAss Shaders were created, simply expand the group to peek inside the shader.</p>

<p><a href="https://www.steakunderwater.com/wesuckless/viewtopic.php?p=27949#p27949">KickAss ShaderZ</a> is a project that is hosted on the WeSuckLess Fusion community forum. You can check out the <a href="https://gitlab.com/WeSuckLess/Reactor/tree/master/Atoms/com.AU.KickAssShaderZ">Reactor GitLab Repository</a> if you need direct access to the individual files via your web browser.</p>

<h2>Created by</h2>

<ul>
<li><a href="https://www.steakunderwater.com/wesuckless/memberlist.php?mode=viewprofile&amp;u=972">andromeda_girl</a> (WSL Profile)</li>
<li><a href="https://www.steakunderwater.com/wesuckless/memberlist.php?mode=viewprofile&u=592">Andrew Hazelden</a> (WSL Profile)</li>
<li><a href="https://www.steakunderwater.com/wesuckless/index.php">WSL Community</a></li>
</ul>


<h2>Requirements</h2>
<ul>
<li>Blackmagic <a href="https://www.steakunderwater.com/wesuckless/viewtopic.php?f=16&amp;t=3444">Fusion v9.0.2-16.1.1+</a> or <a href="https://www.blackmagicdesign.com/support/family/davinci-resolve-and-fusion">Resolve v15-16.1.1+</a></li>
<li>WSL <a href="https://www.steakunderwater.com/wesuckless/viewtopic.php?f=32&amp;t=3067">Reactor Package Manager v3.14+</a></li>
</ul>



<h2>Installation</h2>
<p>The KickAss ShaderZ is installed using the Reactor package manager. Look for KickAss ShaderZ in the &quot;Shaders&quot; category on the left side of the Reactor window.</p>




<h1>Content Browser</h1>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/kas_content_browser.png"></p>

<p>The &quot;Content Browser&quot; window allows you to effortlessly navigate through the &quot;Industrial&quot;, &quot;Natural&quot;, &quot;Utility&quot;, and &quot;HDRI&quot; categories of macros included in the KAS shader collection. This view is accessed using the &quot;KickAss ShaderZ &gt; Content Browser...&quot; menu item.</p>


<h1>KickAss ShaderZ Descriptions</h1>


<h2>Industrial</h2>

<h3>kas_Atomic</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_Atomic">kas_Atomic</a>&quot; creates an irradiated material that is self-illuminated with an orange shade.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Atomic.png"></p>



<h3>kas_Chrome</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_Chrome">kas_Chrome</a>&quot; creates a super shiny metallic surface.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Chrome.png"></p>



<h3>kas_CobaltBlueCarbonFibre</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_CobaltBlueCarbonFibre">kas_CobaltBlueCarbonFibre</a>&quot; is great for futuristic hard surface modelled objects where you might want a procedurally textured lightly scuffed surface for added photorealism.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_CobaltBlueCarbonFibre.png"></p>



<h3>kas_GlassDeepBlue</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_GlassDeepBlue">kas_GlassDeepBlue</a>&quot; is a semi-transparent glass material. A primitive attempt has been taken to simulate a faked blue color absorption effect on the material using a Falloff node.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_GlassDeepBlue.png"></p>



<h3>kas_GlassDeepRuby</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_GlassDeepRuby">kas_GlassRuby</a>&quot; is a semi-transparent glass material. A primitive attempt has been taken to simulate a faked red color absorption effect on the material using a Falloff node.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_GlassDeepRuby.png"></p>



<h3>kas_GlassDirty</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_GlassDirty">kas_GlassDirty</a>&quot; creates a semi-transparent glass with a layer of grime coating the surface.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_GlassDirty.png"></p>



<h3>kas_GlassQuartzScratched</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_GlassQuartzScratched">kas_GlassQuartzScratched</a>&quot; is a semi-transparent glass material. A primitive attempt has been taken to simulate a faked purple color absorption effect on the material using a Falloff node.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_GlassQuartzScratched.png"></p>



<h3>kas_Gold</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_Gold">kas_Gold</a>&quot; creates a stylized NPR metallic surface material that could be used for logos and titles. The lustre of the gold is highly dependent on the lighting angle. Make sure to enable the Fusion 3D workspace &quot;3D Options &gt; Lighting&quot; mode so you see an accurate preview of the material in the realtime viewport.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Gold.png"></p>



<h3>kas_HeatShield</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_HeatShield">kas_HeatShield</a>&quot; generates a super-heated plasma-like fresnel shading effect that can be used to create earth atmosphere re-entry shading effects for spacecraft or meteorites. The material can also be modified to augment the look of tracer bullets, incendiary rounds, or futuristic ballistic weaponry that need a plasma like heat bubble that wraps around the projectile.</p>

<p>When you render the &quot;kas_HeatShield&quot; surface material, don't forget to explore adding an exponential glow effect to the final frame to increase the incandescent luminoous feel of the material. The &quot;TextureMap&quot; input connection on the node supports images with alpha channels which can punch holes through the final material for a patch-work shading effect.</p>

<p>If you want to see the kas_HeatShield material with the same look as the thumbnail has, <a href="Load://Reactor:/Deploy/Comps/KickAss ShaderZ/kas_HeatShield.comp">open the provided kas_HeatShield.comp</a> file located at &quot;Reactor:/Deploy/Comps/KickAss ShaderZ/kas_HeatShield.comp&quot;. This composite has a customized Light Rotate XYZ value on the kas_ShaderBall node.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_HeatShield.png"></p>



<h3>kas_MetalGalvanized</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_MetalGalvanized">kas_MetalGalvanized</a>&quot; creates an industrial sheet metal material.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_MetalGalvanized.png"></p>



<h3>kas_MetalScuzzy</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_MetalScuzzy">kas_MetalScuzzy</a>&quot; is a metallic material that has become dulled by a thick layer of dirt and grime.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_MetalScuzzy.png"></p>



<h3>kas_Radioactive</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_Radioactive">kas_Radioactive</a>&quot; creates an irradiated material that is self-illuminated with a strong violet shade.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Radioactive.png"></p>



<h3>kas_RustyNail</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_RustyNail">kas_RustyNail</a>&quot; creates a worn, oxidized steel material.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_RustyNail.png"></p>



<h3>kas_Xray</h3>

<p>&quot;<a href="DoAction://KAS_Industrial_kas_Xray">kas_Xray</a>&quot; creates a stylized and colourful NPR rendering effect of a medical X-ray material.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Xray.png"></p>



<h2>Natural</h2>


<h3>kas_DarkBlueIceShard</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_DarkBlueIceShard">kas_DarkBlueIceShard</a>&quot; creates a frosted blue icy material.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_DarkBlueIceShard.png"></p>



<h3>kas_GreenEctoplasm</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_GreenEctoplasm">kas_GreenEctoplasm</a>&quot; is perfect for organic effects like semi-transparent gloopy liquids, or otherworldly paranormal objects.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_GreenEctoplasm.png"></p>



<h3>kas_IridescentBlue</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_IridescentBlue">kas_IridescentBlue</a>&quot; creates a luminous material with a saturated blue sheen, and a fresnel edge shading effect.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_IridescentBlue.png"></p>



<h3>kas_MarbleStone</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_MarbleStone">kas_MarbleStone</a>&quot; creates a glossy tiled floor material. You can choose to render this stone with a full surface displacement effect on the mesh.</p>


<p>To get the displacement effect out of this material you need to add a Displace3D node and connect its &quot;SceneInput&quot; input to a 3D model&#39;s &quot;3DData&quot; output connection. Then connect the &quot;kas_MarbleStoneDisplace&quot; node&#39;s &quot;DisplacementTextureOutput&quot; connection to the Displace3D node&#39;s &quot;Input&quot;connection. The strength of the displacement effect is controlled on the Displace3D node&#39;s scale attribute with a good starting value of approximately 0.02.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_MarbleStone.png"></p>

<p>kas_MarbleStone Asset Licenses:</p>

<hr>

<p>Freeware:<br>
<a href="AddMedia://Reactor:/Deploy/Macros/KickAss ShaderZ/Assets/kas_MarbleStone_Roughness.jpg">kas_MarbleStone PBR Textures</a></p>

<p>By:<br>
<a href="https://www.textures.com">https://www.textures.com</a></p>

<p>Is licensed under:<br>
CG Textures Freeware</p>


<hr>

<p>Creative Commons:<br>
<a href="https://hdrmaps.com/freebies/st-nicolaus-church-interior">St. Nicholaus Church Interior HDRI</a></p>

<p>By:<br>
<a href="https://hdrmaps.com">https://hdrmaps.com</a></p>

<p>Is licensed under:<br>
<a href="https://creativecommons.org/licenses/by/2.0/">CC BY 2.0</a></p>

<hr>

<h3>kas_OrganicMote</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_OrganicMote">kas_OrganicMote</a>&quot; is perfect for stylized NPR rendering needs such as bio-medical visualization. If you are assigning this material to animated elements that are floating around and drifting slowly in your scene, make sure to enable motion blur and DoF bokeh blur in your renderings for added realism.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_OrganicMote.png"></p>


<h3>kas_Ocean</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_Ocean">kas_Ocean</a>&quot; macro creates a multi-spectral ocean material that combines an HDRI environment map with a simulated sub-surface translucent like shading layer.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Ocean.png"></p>

<p>kas_Ocean Asset Licenses:</p>

<hr>

<p>Simon's Town Rocks, Cape Town, South Africa IBL</p>

<p>Creative Commons:<br>
<a href="https://hdrihaven.com/hdri/?h=simons_town_rocks">Simon&#39;s Town Rocks</a></p>

<p>By:<br>
<a href="https://hdrihaven.com/">https://hdrihaven.com/</a></p>

<p>Is licensed under:<br>
<a href="https://creativecommons.org/publicdomain/zero/1.0/deed.en">CC0 (Public Domain)</a></p>


<p>Anonymous Water Template</p>

<p>The Anonymous Water Template is the actual Fusion 3D water setup as it was used on Roland Emmerich's <a href="https://www.imdb.com/title/tt1521197/">Anonymous</a> (2011) film, courtesy of <a href="http://www.uncharted-territory.com/">Uncharted Territory</a>.

<p>SIGGRAPH 2012 Presentation on Anonymous:<br>
<a href="https://www.youtube.com/watch?v=mOpN6C3ZrjY">https://www.youtube.com/watch?v=mOpN6C3ZrjY</a></p>


<h3>kas_RedBloodCell</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_RedBloodCell">kas_RedBloodCell</a>&quot; is perfect for stylized NPR rendering needs such as bio-medical visualization of high detail blood cells flowing in a bloodstream. If you are assigning this material to animated blood cells that are floating around and drifting slowly in your scene, make sure to enable motion blur and DoF bokeh blur in your renderings for added realism.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_RedBloodCell.png"></p>



<h3>kas_StoneWall</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_StoneWall">kas_StoneWall</a>&quot; creates a rough wall from fieldstone and mortar. You can choose to render this stone with a bump map, or with a full surface displacement effect on the mesh.</p>

<p>To get the displacement effect out of this material you need to add a Displace3D node and connect its "SceneInput" input to a 3D model&#39; s &quot;3DData&quot; output connection. Then connect the &quot;kas_StoneWall&quot; material&#39; s &quot;DisplacementTextureOutput&quot; connection to the Displace3D node&#39; s &quot;Input&quot; connection. The strength of the displacement effect is controlled on the Displace3D node&#39;s scale attribute with a good starting value of approximately 0.2.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_StoneWall.png"></p>


<p>kas_MarbleStone Asset Licenses:</p>

<hr>

<p>Freeware:<br>
<a href="https://quixel.com/assets/scpgdgca">kas_StoneWall PBR Textures (Castle Stone Wall)</a></p>

<p>By:<br>
<a href="https://quixel.com/megascans">https://quixel.com/megascans</a></p>

<p>Is licensed under:<br>
Quixel Megascans Freeware</p>



<h3>kas_VelvetyMoss</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_VelvetyMoss">kas_VelvetyMoss</a>&quot; is perfect for stylized NPR rendering organic elements such as bio-medical visualization.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_VelvetyMoss.png"></p>



<h3>kas_VolcanicMagma</h3>

<p>&quot;<a href="DoAction://KAS_Natural_kas_VolcanicMagma">kas_VolcanicMagma</a>&quot; creates a super hot molten rock material. When you render this material, consider attaching a 2D glow effect to highlight the surface cracks that are luminous.</p>

<p>To get the displacement effect out of this material you need to add a Displace3D node and connect its "SceneInput" input to a 3D model&#39; s &quot;3DData&quot; output connection. Then connect the &quot;kas_VolcanicMagma&quot; material&#39; s &quot;DisplacementTextureOutput&quot; connection to the Displace3D node&#39; s &quot;Input&quot; connection. The strength of the displacement effect is controlled on the Displace3D node&#39;s scale attribute with a good starting value of approximately 0.2.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_VolcanicMagma.png"></p>



<h2>Utility</h2>

<h3>kas_IconSaver</h3>

<p>&quot;<a href="DoAction://KAS_Utility_IconSaverNode">kas_IconSaver</a>&quot; renders a Fusion v9 Bin window 130x100 px BMP format icon to the Comp PathMap folder. If you have HiQ enabled simply viewing this node will write you new bin icon to disk.</p>

<p>This node is supposed to be connected directly to the &quot;kas_ShaderBall.Output&quot; node&#39;s output connection.</p>

<p>The kas_IconSaver node includes an integrated copy of the GreyCheckerboard macro. GreyCheckerboard is based upon the "Checkerboard" macro from the <a href="https://www.musevfx.com/tools/">Muse Tools Library</a> by Joe Laude.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_IconSaver.png"></p>



<h3>kas_GreyCheckerboard</h3>

<p>&quot;<a href="DoAction://KAS_Utility_GreyCheckerboardNode">kas_GreyCheckerboard</a>&quot; renders a preview shader swatch with a baked in grey checker background.</p>

<p>GreyCheckerboard is based upon the "Checkerboard" macro from the <a href="https://www.musevfx.com/tools/">Muse Tools Library</a> by Joe Laude.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_GreyCheckerboard.png"></p>



<h3>kas_ShaderBall</h3>

<p>&quot;<a href="DoAction://KAS_Utility_ShaderBallNode">kas_ShaderBall</a>&quot; adds a shader ball model to your Fusion 3D system scene. It is used to apply and preview the look of surface materials. Make sure to enable the Fusion 3D workspace &quot;3D Options &gt; Lighting&quot; mode so you see an accurate preview of the material in the realtime viewport.</p>

<p>This node&#39;s output is supposed to be connected directly to the &quot;kas_ShaderPreview&quot; nodes input connection so you can see a high-quality preview of your surface material.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_ShaderBall.png"></p>



<h3>kas_ShaderBallDragon</h3>

<p>&quot;<a href="DoAction://KAS_Utility_ShaderBallDragonNode">kas_ShaderBallDragon</a>&quot; adds a Stanford Dragon model shader ball to your Fusion 3D system scene. It is used to apply and preview the look of surface materials. Make sure to enable the Fusion 3D workspace &quot;3D Options &gt; Lighting&quot; mode so you see an accurate preview of the material in the realtime viewport.</p>

<p>This node&#39;s output is supposed to be connected directly to the &quot;kas_ShaderPreview&quot; nodes input connection so you can see a high-quality preview of your surface material.</p>

<p>The &quot;DragonUVMap3D&quot; node inside the GroupOperator allows you to adjust the UV layout on the model and its perfect for tweaking how the texture map is placed on the mode.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_ShaderBallDragon.png"></p>


<p>kas_ShaderBallDragon Asset License:</p>

<p>By:<br>
<a href="https://graphics.stanford.edu/data/3Dscanrep/">The Stanford 3D Scanning Repository</a></p>

<p>Is licensed under:<br>
Public Domain</p>



<h3>kas_ShaderPreview</h3>

<p>&quot;<a href="DoAction://KAS_Utility_ShaderPreviewNode">kas_ShaderPreview</a>&quot; is has a Renderer3D node inside is that renders a preview shader swatch with a baked-in grey checker background.</p>

<p>This node is supposed to be connected directly to the &quot;kas_ShaderBall.Output&quot; node&#39;s output connection.</p>

<p>The kas_ShaderPreview node includes an integrated copy of the GreyCheckerboard macro. GreyCheckerboard is based upon the &quot;Checkerboard&quot; macro from the <a href="https://www.musevfx.com/tools/">Muse Tools Library</a> by Joe Laude.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_ShaderPreview.png"></p>




<h2>HDRI</h2>


<h3>kas_Parkland</h3>

<p>&quot;<a href="DoAction://KAS_HDRI_kas_Parkland">kas_Parkland</a>&quot; is an HDRI image of Egg mountain in Gory Sowie, Poland. The foreground of the image has a grassy field with smooth rolling mountains stretching upwards in the distance.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_Parkland.png"></p>


<h3>kas_SimonsTownRocks</h3>

<p>&quot;<a href="DoAction://KAS_HDRI_kas_SimonsTownRocks">kas_SimonsTownRocks</a>&quot; is an HDRI image of a rocky coastal shoreline in Simon&#39;s Town, Cape Town, South Africa.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_SimonsTownRocks.png"></p>



<h3>kas_StNicholasChurch</h3>

<p>&quot;<a href="DoAction://KAS_HDRI_kas_StNicholasChurch">kas_StNicholasChurch</a>&quot; is an HDRI image of the interior of the Domincian order&#39;s St. Nicholas Church in Gdańsk, Poland. The church was originally errected in 1227. The interior of the church currently features a baroque altar design with a black and golden coloured theme.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/swatches/kas_StNicholasChurch.png"></p>




<h1>Copyright Credits</h1>

<h2>kas_Parkland</h2>

<p>Creative Commons:<br>
<a href="https://hdrmaps.com/freebies/egg-mountain-at-afternoon">Egg mountain at afternoon</a></p>

<p>By:<br>
<a href="https://hdrmaps.com">https://hdrmaps.com</a></p>

<p>Is licensed under:<br>
<a href="https://creativecommons.org/licenses/by/2.0/">CC BY 2.0</a></p>

<h2>Simon's Town Rocks, Cape Town, South Africa IBL</h2>

<p>Creative Commons:<br>
<a href="https://hdrihaven.com/hdri/?h=simons_town_rocks">Simon&#39;s Town Rocks</a></p>

<p>By:<br>
<a href="https://hdrihaven.com/">https://hdrihaven.com/</a></p>

<p>Is licensed under:<br>
<a href="https://creativecommons.org/publicdomain/zero/1.0/deed.en">CC0 (Public Domain)</a></p>



<h2>St. Nicholas Church, Gdansk, Poland IBL</h2>

<p>Creative Commons:<br>
<a href="https://hdrmaps.com/freebies/st-nicolaus-church-interior">St. Nicolaus Church Interior HDRI</a></p>

<p>By:<br>
<a href="https://hdrmaps.com">https://hdrmaps.com</a></p>

<p>Is licensed under:<br>
<a href="https://creativecommons.org/licenses/by/2.0/">CC BY 2.0</a></p>



<h2>kas_StoneWall</h2>

<p>Freeware:<br>
<a href="https://quixel.com/assets/scpgdgca">kas_StoneWall PBR Textures (Castle Stone Wall)</a></p>

<p>By:<br>
<a href="https://quixel.com/megascans">https://quixel.com/megascans</a></p>

<p>Is licensed under:<br>
Quixel Megascans Freeware</p>



<h2>kas_MarbleStone</h2>

<p>Freeware:<br>
<a href="AddMedia://Reactor:/Deploy/Macros/KickAss ShaderZ/Assets/kas_MarbleStone_Roughness.jpg">kas_MarbleStone PBR Textures</a></p>

<p>By:<br>
<a href="https://www.textures.com">https://www.textures.com</a></p>

<p>Is licensed under:<br>
CG Textures Freeware</p>



<h2>Anonymous Water Template</h2>

<p>The Anonymous Water Template is the actual Fusion 3D water setup as it was used on Roland Emmerich's <a href="https://www.imdb.com/title/tt1521197/">Anonymous</a> (2011) film, courtesy of <a href="http://www.uncharted-territory.com/">Uncharted Territory</a>.

<p>SIGGRAPH 2012 Presentation on Anonymous:<br>
<a href="https://www.youtube.com/watch?v=mOpN6C3ZrjY">https://www.youtube.com/watch?v=mOpN6C3ZrjY</a></p>



<h2>GreyCheckerboard</h2>

<p>GreyCheckerboard is based upon the "Checkerboard" macro from the <a href="https://www.musevfx.com/tools/">Muse Tools Library</a> by Joe Laude.</p>



<h2>kas_ShaderBallDragon Asset License:</h2>

<p>By:<br>
<a href="https://graphics.stanford.edu/data/3Dscanrep/">The Stanford 3D Scanning Repository</a></p>

<p>Is licensed under:<br>
Public Domain</p>



<h1>ShaderZ Texture Inputs</h1>

<p>There are two image input connections on most of the ShaderZ material nodes named &quot;TextureMap&quot; and &quot;EnvironmentMap&quot;.</p>

<p>The &quot;TextureMap&quot; input connection allows you to supply your own imagery that will be applied as the base texture map. The &quot;EnvironmentMap&quot; input connection allows you to supply your own spherical environment image that will be visible as the reflected environment for the material.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/shader_texture_input_connections.png"></p>

<p>Note: <i>When imagery is connected to these inputs they are automatically activated and used inside the material via a pair of SwitchElse.fuse nodes that are packed inside the shader. The second you disconnect your imagery from the input connections the surface material defaults back to the internal default texture maps.</i></p>


<h1>Fusion Effects Tab</h1>

<p>In Fusion Studio Standalone v16 you can access the KickAss ShaderZ by open up the &quot;Effects&quot; Tab. Then expand the &quot;Templates &gt; KickAss ShaderZ &gt; Native ShaderZ &gt;&quot; section. You can now select between a &quot;Industrial&quot;, &quot;Natural&quot;, and &quot;Utility&quot; set of surface materials.</p>

<p>You can drag/drop any of the items in this Templates list into your Nodes view and they will be instantly added to your composite.</p>


<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/fusion_studio_v16_effects_tab.png"></p>

<p><strong>Note:</strong> <em>Try to make sure to drag the nodes to an open space in the Nodes view so the new material's node-based content doesn't co-mingle with your existing node graph and cause the content to pile up in an unsightly &quot;heap of nodes&quot;. If this issue ever happens to you, all you have to do to rectify the situation is to hit the &quot;Edit &gt; Undo &gt; &quot; menu item to remove the most recently added nodes from the comp.</em></p>



<h1>Fusion Select Tool</h1>

<p>Pressing the &quot;Shift + Spacebar&quot; hotkey when Fusion&#39;s Nodes view is in focus will display a &quot;Select Tool&quot; dialog. Typing in &quot;kas_&quot; is a quick way to filter the list of available nodes down to the content provided by the &quot;KickAss ShaderZ&quot; collection.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/select_tool_dialog.png"></p>


<h1>KickAss ShaderZ Menu</h1>

<p>The &quot;KickAss ShaderZ&quot;root level menu system in Fusion Studio provides a quick way to access the full shader collection and the shader tools.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/kas_menus.png"></p>


<p>The KAS menu layout consists of the following entries:</p>


KickAss ShaderZ &gt;

<ul>
<li>Native ShaderZ &gt;
<ul>

<li>HDRI &gt;
<ul>
<li><a href="DoAction://KAS_HDRI_kas_Parkland">kas_Parkland</a></li>
<li><a href="DoAction://KAS_HDRI_kas_SimonsTownRocks">kas_SimonsTownRocks</a></li>
<li><a href="DoAction://KAS_HDRI_kas_StNicholasChurch">kas_StNicholasChurch</a></li>
</ul>
</li>

<li>Natural &gt;
<ul>
<li><a href="DoAction://KAS_Natural_kas_DarkBlueIceShard">kas_DarkBlueIceShard</a></li>
<li><a href="DoAction://KAS_Natural_kas_GreenEctoplasm">kas_GreenEctoplasm</a></li>
<li><a href="DoAction://KAS_Natural_kas_IridescentBlue">kas_IridescentBlue</a></li>
<li><a href="DoAction://KAS_Natural_kas_MarbleStone">kas_MarbleStone</a></li>
<li><a href="DoAction://KAS_Natural_kas_OrganicMote">kas_OrganicMote</a></li>
<li><a href="DoAction://KAS_Natural_kas_Ocean">kas_Ocean</a></li>
<li><a href="DoAction://KAS_Natural_kas_RedBloodCell">kas_RedBloodCell</a></li>
<li><a href="DoAction://KAS_Natural_kas_StoneWall">kas_StoneWall</a></li>
<li><a href="DoAction://KAS_Natural_kas_VelvetyMoss">kas_VelvetyMoss</a></li>
<li><a href="DoAction://KAS_Natural_kas_VolcanicMagma">kas_VolcanicMagma</a></li>
</ul>
</li>

<li>Industrial &gt;
<ul>
<li><a href="DoAction://KAS_Industrial_kas_Atomic">kas_Atomic</a></li>
<li><a href="DoAction://KAS_Industrial_kas_Chrome">kas_Chrome</a></li>
<li><a href="DoAction://KAS_Industrial_kas_CobaltBlueCarbonFibre">kas_CobaltBlueCarbonFibre</a></li>
<li><a href="DoAction://KAS_Industrial_kas_GlassDeepBlue">kas_GlassDeepBlue</a></li>
<li><a href="DoAction://KAS_Industrial_kas_GlassDeepRuby">kas_GlassDeepRuby</a></li>
<li><a href="DoAction://KAS_Industrial_kas_GlassDirty">kas_GlassDirty</a></li>
<li><a href="DoAction://KAS_Industrial_kas_GlassQuartzScratched">kas_GlassQuartzScratched</a></li>
<li><a href="DoAction://KAS_Industrial_kas_Gold">kas_Gold</a></li>
<li><a href="DoAction://KAS_Industrial_kas_HeatShield">kas_HeatShield</a></li>
<li><a href="DoAction://KAS_Industrial_kas_MetalGalvanized">kas_MetalGalvanized</a></li>
<li><a href="DoAction://KAS_Industrial_kas_MetalScuzzy">kas_MetalScuzzy</a></li>
<li><a href="DoAction://KAS_Industrial_kas_Radioactive">kas_Radioactive</a></li>
<li><a href="DoAction://KAS_Industrial_kas_RustyNail">kas_RustyNail</a></li>
<li><a href="DoAction://KAS_Industrial_kas_Xray">kas_Xray</a></li>
</ul>
</li>


<li>Production
<ul>
<li><a href="DoAction://KAS_dot_dot_dot">...</a></li>
</ul>
</li>


<li>Utilty &gt;
<ul>
<li><a href="DoAction://KAS_Utility_IconSaverNode">kas_IconSaver</a></li>
<li><a href="DoAction://KAS_Utility_GreyCheckerboardNode">kas_GreyCheckerboard</a></li>
<li><a href="DoAction://KAS_Utility_ShaderBallNode">kas_ShaderBall</a></li>
<li><a href="DoAction://KAS_Utility_ShaderBallDragonNode">kas_ShaderBallDragon</a></li>
<li><a href="DoAction://KAS_Utility_ShaderPreviewNode">kas_ShaderPreview</a></li>
</ul>


</li>
</ul>
</li>

<li>CustomShader3D ShaderZ &gt;
<ul>
<li><a href="DoAction://InstallCustomShader3D">Install the CustomShader3D Plugin</a></li>
<li><a href="DoAction://KAS_dot_dot_dot">...</a></li>
</ul>
</li>
<li>PBR ShaderZ &gt;
<ul>
<li><a href="DoAction://KAS_dot_dot_dot">...</a></li>
</ul>
</li>

<li>Tools &gt;
<ul>
<li><a href="DoAction://KAS_Docs_Folder">Show KAS Docs</a></li>
<li><a href="DoAction://KAS_Macros_Folder">Show KAS Macros Folder</a></li>
<li><a href="DoAction://KAS_Comps_Folder">Show KAS Comps Folder</a></li>
<li><a href="DoAction://KAS_Config_Folder">Show KAS Config Folder</a></li>
<li><a href="DoAction://KAS_SaveSelectionToMacro">Save Selection to Macro<a/></li>
<li><a href="DoAction://KAS_PackageShaderZForReactor">Package ShaderZ for Reactor...<a/></li>
</ul>
</li>

<li>Resources &gt;
<ul>
<li><a href="DoAction://KAS_WSL_Discussion">KAS Documentation</a></li>
<li><a href="DoAction://KAS_HTML_Documentation">KAS WSL Discussion</a></li>
</ul>


</li>
<li><a href="DoAction://KAS_Browser">Content Browser...</a></li>
<li><a href="DoAction://KAS_About">About KickAss ShaderZ...</a></li>

</ul>


<h1>KAS Tools</h1>

<h2>Save Selection to Macro</h2>

<p>The &quot;KickAss ShaderZ &gt; Tools &gt; Save Selection to Macro&quot; menu item exports the active Nodes view selection to a new Fusion &quot;Macros&quot; PathMap based &quot;.setting&quot; file on disk. This makes it a lot easier for comp artists to create and save out their own macros with less effort.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/kas_menus_tools_save_selection_to_macro.png"></p>

<p>When you run the &quot;<a href="DoAction://KAS_SaveSelectionToMacro">Save Selection to Macro</a>" menu item, a file save dialog appears. You can then type in a name for your new macro &quot;.setting&quot; file and choose a folder location where you want the macro saved to.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/kas_menus_tools_save_selection_to_macro_save_file.png"></p>

<p>Whatever nodes are selected in the Nodes view are then instantly exported and pushed out to this new macro .setting file. Your newly saved macro is then opened up in the external script editor that is defined in the Fusion Preferences &quot;<a href="ShowPrefs://PrefsScript">Global and Default Settings &gt; Script &gt; Editor Path</a>&quot; section.</p>

<p>By opening up the macro file in an external text edior like Notepad++ (Windows)/BBEdit(macOS)/Gedit(Linux) it is possible to add the final polish like adding a CutomData HelpPage entry, or renaming the input and output connections.</p>

<p><img src="Reactor:/Deploy/Docs/KickAss ShaderZ/images/kas_menus_tools_save_selection_to_macro_save_editor.png"></p>

